﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORREFUND' AND COLUMN_NAME = 'QtyReturned' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORREFUND_QtyReturned')
BEGIN 
    PRINT 'Creating default constraint DF_CORREFUND_QtyReturned on table CORREFUND' 
    ALTER TABLE [dbo].[CORREFUND]
    ADD CONSTRAINT [DF_CORREFUND_QtyReturned] DEFAULT ((0)) FOR [QtyReturned]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORREFUND' AND COLUMN_NAME = 'QtyCancelled' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORREFUND_QtyCancelled')
BEGIN 
    PRINT 'Creating default constraint DF_CORREFUND_QtyCancelled on table CORREFUND' 
    ALTER TABLE [dbo].[CORREFUND]
    ADD CONSTRAINT [DF_CORREFUND_QtyCancelled] DEFAULT ((0)) FOR [QtyCancelled]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORREFUND' AND COLUMN_NAME = 'RefundStatus' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORREFUND_RefundStatus')
BEGIN 
    PRINT 'Creating default constraint DF_CORREFUND_RefundStatus on table CORREFUND' 
    ALTER TABLE [dbo].[CORREFUND]
    ADD CONSTRAINT [DF_CORREFUND_RefundStatus] DEFAULT ((0)) FOR [RefundStatus]
END 
GO

